/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pv168.localedemo;

import java.text.Collator;
import java.text.DateFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

/**
 *
 * @author tomp
 */
public class LocaleDemo {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        showLocalTime(Locale.getDefault(), TimeZone.getTimeZone("Europe/Prague"));
        sort();
    }

    public static void showLocalTime(Locale locale, TimeZone tz) {
        Date now = new Date();
        String zoneName = tz.getDisplayName(tz.inDaylightTime(now), TimeZone.LONG, locale);
        DateFormat full = DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.FULL, locale);
        full.setTimeZone(tz);
        System.out.println(locale + ": " + full.format(now) + " (" + zoneName + ")");
        System.out.println(full.getClass());
    }

    public static void sort() {
        String[] pole = new String[]{
            "Cecilka",
            "Chranislava",
            "Ilona",
            "Dana",
            "Anička"
        };

        Locale cestina = new Locale("cs", "CZ");
        Locale usa = Locale.US;

        final Collator csCollator = Collator.getInstance(cestina);
        final Collator usaCollator = Collator.getInstance(usa);

        Arrays.sort(pole, csCollator);
        System.out.println("cs : " + Arrays.asList(pole));
        Arrays.sort(pole, usaCollator);
        System.out.println("usa: " + Arrays.asList(pole));
    }
}
